<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/actionbuildpart.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d65/a03423_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">actionbuildpart.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d65/a03423.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ActionBuildPart.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d3/d65/a03423.html#add59dc9e9e85a3185ba2cede7cf9449f">   14</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../dd/d15/a01471.html">ActionBuildPartCB</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dd/d15/a01471.html#ad1aab592f29e65a8c376cf744821c1b6">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dd/d15/a01471.html#ad1aab592f29e65a8c376cf744821c1b6">SetCallbackDuration</a>( <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a> item )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> ( item &amp;&amp; item.IsKindOf(<span class="stringliteral">&quot;ExpansionAdminHammer&quot;</span>) )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <span class="keywordflow">return</span> 0.1;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> super.SetCallbackDuration(item);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d4/d9e/a02587.html">ActionBuildPart</a></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d9e/a02587.html#a84af970b1d7eb14d1def539019573692">ActionCondition</a>( <a class="code hl_class" href="../../d3/d19/a01847.html">PlayerBase</a> player, <a class="code hl_class" href="../../d8/dd0/a02711.html">ActionTarget</a> target, <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a> item )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d3/d65/a03423.html#a403fc8926bba6d2854d5f7ab2c6ed26a">   28</a></span>    {<span class="comment"></span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">        //! It&#39;s not a territory flag, but his he in a territory</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment"></span>        <span class="keywordflow">if</span> ( player.<a class="code hl_function" href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">IsInTerritory</a>() )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment">            //! It&#39;s his territory ?</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment"></span>            <span class="keywordflow">if</span> ( !player.<a class="code hl_function" href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">IsInsideOwnTerritory</a>() )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> super.ActionCondition( player, target, item );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d3/d65/a03423.html#a00cda41fe9dd093059da5c4b83b591bc">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d65/a03423.html#a00cda41fe9dd093059da5c4b83b591bc">OnFinishProgressServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_class" href="../../d1/dea/a01791.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../d1/dea/a01791.html">BaseBuildingBase</a>.Cast( action_data.m_Target.GetObject() );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_class" href="../../dc/dbc/a01391.html">Construction</a> construction = base_building.GetConstruction();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordtype">string</span> part_name = BuildPartActionData.Cast(action_data).m_PartType;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a> item_in_hands = <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a>.Cast( action_data.m_Player.GetHumanInventory().GetEntityInHands() );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( item_in_hands )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">if</span> ( item_in_hands.GetType() == <span class="stringliteral">&quot;ExpansionAdminHammer&quot;</span> )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <span class="keywordflow">if</span> ( !construction.<a class="code hl_function" href="../../dc/dbc/a01391.html#ae992588344d15a929de960ac73368b97">IsColliding</a>( part_name ) &amp;&amp; construction.<a class="code hl_function" href="../../dc/dbc/a01391.html#acbc62d7f3f0dc527d407ca7ddf898c56">CanBuildPart</a>( part_name, action_data.m_MainItem, <span class="keyword">true</span> ) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                    construction.<a class="code hl_function" href="../../dc/dbc/a01391.html#a81862c2642a067d8e4ecd329ad41c3f8">AdminBuildPartServer</a>( action_data.m_Player, part_name, AT_BUILD_PART );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().AdminTools )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                        <a class="code hl_function" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../d9/d5e/a02355.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[AdminTools] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; used the Admin Hammer to build &quot;</span> + part_name);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                action_data.m_Player.GetSoftSkillsManager().AddSpecialty( m_SpecialtyWeight );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                super.OnFinishProgressServer( action_data );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>}</div>
<div class="ttc" id="aa01375_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa01391_html"><div class="ttname"><a href="../../dc/dbc/a01391.html">Construction</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d0e/a03405_source.html#l00013">construction.c:14</a></div></div>
<div class="ttc" id="aa01391_html_a81862c2642a067d8e4ecd329ad41c3f8"><div class="ttname"><a href="../../dc/dbc/a01391.html#a81862c2642a067d8e4ecd329ad41c3f8">Construction::AdminBuildPartServer</a></div><div class="ttdeci">void AdminBuildPartServer(notnull Man player, string part_name, int action_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d0e/a03405_source.html#l00030">construction.c:30</a></div></div>
<div class="ttc" id="aa01391_html_acbc62d7f3f0dc527d407ca7ddf898c56"><div class="ttname"><a href="../../dc/dbc/a01391.html#acbc62d7f3f0dc527d407ca7ddf898c56">Construction::CanBuildPart</a></div><div class="ttdeci">override bool CanBuildPart(string part_name, ItemBase tool, bool use_tool)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d2e/a03408_source.html#l00074">construction.c:74</a></div></div>
<div class="ttc" id="aa01391_html_ae992588344d15a929de960ac73368b97"><div class="ttname"><a href="../../dc/dbc/a01391.html#ae992588344d15a929de960ac73368b97">Construction::IsColliding</a></div><div class="ttdeci">override bool IsColliding(string part_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d0e/a03405_source.html#l00018">construction.c:18</a></div></div>
<div class="ttc" id="aa01471_html"><div class="ttname"><a href="../../dd/d15/a01471.html">ActionBuildPartCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/a03423_source.html#l00014">actionbuildpart.c:15</a></div></div>
<div class="ttc" id="aa01471_html_ad1aab592f29e65a8c376cf744821c1b6"><div class="ttname"><a href="../../dd/d15/a01471.html#ad1aab592f29e65a8c376cf744821c1b6">ActionBuildPartCB::SetCallbackDuration</a></div><div class="ttdeci">override float SetCallbackDuration(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/a03423_source.html#l00016">actionbuildpart.c:16</a></div></div>
<div class="ttc" id="aa01663_html"><div class="ttname"><a href="../../dd/d38/a01663.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa01791_html"><div class="ttname"><a href="../../d1/dea/a01791.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7b/a03486_source.html#l00013">basebuildingbase.c:14</a></div></div>
<div class="ttc" id="aa01847_html"><div class="ttname"><a href="../../d3/d19/a01847.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa01847_html_aa8b20ccd5b11c8a3a6470afa6410772a"><div class="ttname"><a href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">PlayerBase::IsInsideOwnTerritory</a></div><div class="ttdeci">bool IsInsideOwnTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00144">playerbase.c:144</a></div></div>
<div class="ttc" id="aa01847_html_aac7d8816c898efbe2419763d6dba3ff2"><div class="ttname"><a href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">PlayerBase::IsInTerritory</a></div><div class="ttdeci">bool IsInTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00112">playerbase.c:112</a></div></div>
<div class="ttc" id="aa02355_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../d9/d5e/a02355.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa02587_html"><div class="ttname"><a href="../../d4/d9e/a02587.html">ActionBuildPart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d75/a03426_source.html#l00013">actionbuildpart.c:14</a></div></div>
<div class="ttc" id="aa02587_html_a84af970b1d7eb14d1def539019573692"><div class="ttname"><a href="../../d4/d9e/a02587.html#a84af970b1d7eb14d1def539019573692">ActionBuildPart::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d75/a03426_source.html#l00015">actionbuildpart.c:15</a></div></div>
<div class="ttc" id="aa02711_html"><div class="ttname"><a href="../../d8/dd0/a02711.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa03402_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa03423_html_a00cda41fe9dd093059da5c4b83b591bc"><div class="ttname"><a href="../../d3/d65/a03423.html#a00cda41fe9dd093059da5c4b83b591bc">OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/a03423_source.html#l00042">actionbuildpart.c:42</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_dea99779acbc8a5a409ad43fc49953ad.html">continuous</a></li><li class="navelem"><a class="el" href="../../d3/d65/a03423.html">actionbuildpart.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
